[oe-commits] Juro Bystricky : oe-git-proxy: Redirect error messages to STDERR

git at git.openembedded.org git at git.openembedded.org
Thu Apr 2 11:03:48 UTC 2015


Module: openembedded-core.git
Branch: master-next-1.9
Commit: 960a7f7ae24e72efc165a431f8b91b3f3b176916
URL:    http://git.openembedded.org/?p=openembedded-core.git&a=commit;h=960a7f7ae24e72efc165a431f8b91b3f3b176916

Author: Juro Bystricky <juro.bystricky at intel.com>
Date:   Fri Mar 27 10:17:35 2015 -0700

oe-git-proxy: Redirect error messages to STDERR

oe-git-proxy script needs socat. If socat is not found,
an error message is issued on STDOUT. This leads to a misleading
git message:

fatal: protocol error: bad line length character: ERRO

instead of the intended message:

ERROR: socat binary not in PATH

Redirecting the error message to STDERR fixes this issue.

Signed-off-by: Juro Bystricky <juro.bystricky at intel.com>
Signed-off-by: Richard Purdie <richard.purdie at linuxfoundation.org>

---

 scripts/oe-git-proxy | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/oe-git-proxy b/scripts/oe-git-proxy
index 0ce7ed0..4873455 100755
--- a/scripts/oe-git-proxy
+++ b/scripts/oe-git-proxy
@@ -19,7 +19,7 @@
 # Locate the netcat binary
 SOCAT=$(which socat 2>/dev/null)
 if [ $? -ne 0 ]; then
-	echo "ERROR: socat binary not in PATH"
+	echo "ERROR: socat binary not in PATH" 1>&2
 	exit 1
 fi
 METHOD=""



More information about the Openembedded-commits mailing list